summaryrefslogtreecommitdiff
path: root/packaging
diff options
context:
space:
mode:
authorDaniel Kahn Gillmor <dkg@fifthhorseman.net>2009-03-02 17:49:53 -0500
committerDaniel Kahn Gillmor <dkg@fifthhorseman.net>2009-03-02 17:49:53 -0500
commit0ae1b83bf02bdec7b26e87e16a393b007941f871 (patch)
tree6c0b09404747dfcdc60de3685576f64227d96a07 /packaging
parent964d1c805c5866ea7f4a2c38808ccc3a5db490f5 (diff)
clearer error reporting for transition scripts in postinst.
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/debian/monkeysphere.postinst11
1 files changed, 9 insertions, 2 deletions
diff --git a/packaging/debian/monkeysphere.postinst b/packaging/debian/monkeysphere.postinst
index 6b12ee8..4e81167 100755
--- a/packaging/debian/monkeysphere.postinst
+++ b/packaging/debian/monkeysphere.postinst
@@ -21,8 +21,15 @@ case $1 in
monkeysphere
fi
- # try to transition from to 0.23:
- /usr/share/monkeysphere/transitions/0.23
+ # try all available transitions:
+ for trans in 0.23 ; do
+ /usr/share/monkeysphere/transitions/$trans || { \
+ RET=$?
+ echo "Failed running transition script /usr/share/monkeysphere/transitions/$trans" >&2
+ exit $RET
+ }
+ done
+
# setup monkeysphere authentication
monkeysphere-authentication setup